#1968 closed defect (fixed)

RFS seek does not move the block referenced

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 4.10
Component: fs Version: 4.10
Severity: normal Keywords:
Cc: sebastian.huber@… Blocked By:
Blocking:

Description

A seek to file offset 0 after reading to the end of a file which has a size larger than a block leaves the block reference pointing at the last block read. If the seek does not reference the block currently referenced by the file handle it needs to be released.

If the seek position is past the end of the file and the file handle has a block attached it also needs to be released. Note, a seek past the end of a file is allowed so the file can be extended.

Attachments (1)

pr1968-rfs-seek-bug.diff (4.7 KB) - added by Chris Johns on Nov 22, 2011 at 2:13:47 AM.
RFS seek bug fix

Download all attachments as: .zip

Change History (3)

Changed on Nov 22, 2011 at 2:13:47 AM by Chris Johns

Attachment: pr1968-rfs-seek-bug.diff added

RFS seek bug fix

comment:1 Changed on May 11, 2012 at 11:08:02 AM by Sebastian Huber

Resolution: fixed
Status: newclosed, sebastian.huber@embedded-brains.de

comment:2 Changed on May 13, 2012 at 9:07:25 PM by Chris Johns

Confirmed fix.

Note: See TracTickets for help on using tickets.